<?php

namespace Drupal\entity_field_fetch\FieldProperties;

use Drupal\Core\TypedData\TypedData;

/**
 * A computed property to get the fetched content.
 */
class PropertyFetched extends TypedData {

  /**
   * {@inheritdoc}
   */
  public function getValue() {
    // This must return the fetched property. All the good data.
    return $this->getParent()->fetcher->getEntityData();
  }

}
