<?php

namespace Drupal\entity_field_fetch\FieldProperties;

use Drupal\Core\TypedData\TypedData;

/**
 * A computed property to get the target bundle of the fetched field.
 */
class PropertyTargetBundle extends TypedData {

  /**
   * {@inheritdoc}
   */
  public function getValue() {
    // This must return the target_bundle property.
    return $this->getParent()->fetcher->getFetchedBundle();
  }

}
