<?php

namespace Drupal\entity_field_fetch\FieldProperties;

use Drupal\Core\TypedData\TypedData;

/**
 * A computed property to get the target field of the fetched field.
 */
class PropertyTargetField extends TypedData {

  /**
   * {@inheritdoc}
   */
  public function getValue() {
    // This must return the target_field property.
    return $this->getParent()->fetcher->getTargetFieldName();
  }

}
