<?php

namespace Drupal\entity_field_fetch\FieldProperties;

use Drupal\Core\TypedData\TypedData;

/**
 * A computed property to get the target ID of the fetched field.
 */
class PropertyTargetId extends TypedData {

  /**
   * {@inheritdoc}
   */
  public function getValue() {
    // This must return the target_id property.
    return $this->getParent()->fetcher->getTargetId();
  }

}
