<?php

namespace Drupal\entity_field_fetch\FieldProperties;

use Drupal\Core\TypedData\TypedData;

/**
 * A computed property to get the target type of the fetched field.
 */
class PropertyTargetType extends TypedData {

  /**
   * {@inheritdoc}
   */
  public function getValue() {
    // This must return the target_type property.
    return $this->getParent()->fetcher->getTargetEntityType();
  }

}
